<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html">ShaderGenerator</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">SGScheme</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::RTShader::ShaderGenerator::SGScheme Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a1f94ccc0857b153399859dee6703f982">addTechniqueEntry</a>(SGTechnique *techEntry)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a936832947ab5adc34f86747687d59ff6">empty</a>() const </td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#aa7f2438819d7b5142d415ffc4c146ebc">getRenderState</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a4302794ca906f9fd74312e88aabc79c8">getRenderState</a>(const String &amp;materialName, const String &amp;groupName, unsigned short passIndex)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a07e596af0447fbaf0c674a89e1e1996b">invalidate</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#ae19b6a4ee0c68dca17b3f9de83cc4a72">invalidate</a>(const String &amp;materialName, const String &amp;groupName=ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a566688db5f20f72566d949c22ebe7217">mFogMode</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a9344c998b5ca980dad55cafafe7c43e1">mName</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a54816ea9f46d513ff4b76a00dfa0b104">mOutOfDate</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a04012930bca69e97ae0be7230a94e528">mRenderState</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a2eff0bfef5e0c6e258a05c85a62b5012">mTechniqueEntries</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#ae3637ed216c002f15eb79a849336d4eb">removeTechniqueEntry</a>(SGTechnique *techEntry)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#aa340b437bf4d74d1d3b7fa2cf8f99582">SGScheme</a>(const String &amp;schemeName)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#abae95506d444d06999ece8be05c78934">synchronizeWithFogSettings</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a701c8a55d47a2f54dc5cb0f2271d8951">synchronizeWithLightSettings</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#acdc41124839a6411965c63836eea5cc8">validate</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a589a561d15aec1b9ad206c6b93e67d3f">validate</a>(const String &amp;materialName, const String &amp;groupName=ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#a3bf06579766a2f9c6a19d5616c15f0b8">~SGScheme</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:32
</p>
</body>
</html>
